Package ghidra.app.plugin.exceptionhandlers.gcc

# Enum Class DwarfEHDataDecodeFormat

java.lang.Object
java.lang.Enum<DwarfEHDataDecodeFormat>
ghidra.app.plugin.exceptionhandlers.gcc.DwarfEHDataDecodeFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<DwarfEHDataDecodeFormat>`, `Constable`

public enum DwarfEHDataDecodeFormat extends Enum<DwarfEHDataDecodeFormat>
Exception handling data decoding formats. See the Linux Standard Base DWARF extensions specification for details.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DW_EH_PE_absptr`
  `DW_EH_PE_omit`
  `DW_EH_PE_sdata2`
  `DW_EH_PE_sdata4`
  `DW_EH_PE_sdata8`
  `DW_EH_PE_signed`
  `DW_EH_PE_sleb128`
  `DW_EH_PE_udata2`
  `DW_EH_PE_udata4`
  `DW_EH_PE_udata8`
  `DW_EH_PE_uleb128`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCode()`
  Get the code for this decode format.
  `static DwarfEHDataDecodeFormat`
  `valueOf(int code)`
  Gets the exception handling decode format for the indicated code.
  `static DwarfEHDataDecodeFormat`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DwarfEHDataDecodeFormat[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DW_EH_PE_absptr

    public static final DwarfEHDataDecodeFormat DW_EH_PE_absptr

  - ### DW_EH_PE_uleb128

    public static final DwarfEHDataDecodeFormat DW_EH_PE_uleb128

  - ### DW_EH_PE_udata2

    public static final DwarfEHDataDecodeFormat DW_EH_PE_udata2

  - ### DW_EH_PE_udata4

    public static final DwarfEHDataDecodeFormat DW_EH_PE_udata4

  - ### DW_EH_PE_udata8

    public static final DwarfEHDataDecodeFormat DW_EH_PE_udata8

  - ### DW_EH_PE_signed

    public static final DwarfEHDataDecodeFormat DW_EH_PE_signed

  - ### DW_EH_PE_sleb128

    public static final DwarfEHDataDecodeFormat DW_EH_PE_sleb128

  - ### DW_EH_PE_sdata2

    public static final DwarfEHDataDecodeFormat DW_EH_PE_sdata2

  - ### DW_EH_PE_sdata4

    public static final DwarfEHDataDecodeFormat DW_EH_PE_sdata4

  - ### DW_EH_PE_sdata8

    public static final DwarfEHDataDecodeFormat DW_EH_PE_sdata8

  - ### DW_EH_PE_omit

    public static final DwarfEHDataDecodeFormat DW_EH_PE_omit

- ## Method Details

  - ### values

    public static DwarfEHDataDecodeFormat[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DwarfEHDataDecodeFormat valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCode

    public int getCode()
    Get the code for this decode format.
    Returns:
      the identifier code

  - ### valueOf

    public static DwarfEHDataDecodeFormat valueOf(int code)
    Gets the exception handling decode format for the indicated code.
    Parameters:
      `code` - the code
    Returns:
      the decode format